services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    environment:
      NODE_OPTIONS: --experimental-global-webcrypto
    container_name: homepage
    working_dir: /var/www
    volumes:
      - .:/var/www
    ports:
      - "8000:8000"   # Laravel
      - "5173:5173"   # Vite (opcional)
    tty: true
    command: /entrypoint.sh